variables:
  # Configure mysql service (https://hub.docker.com/_/mysql/)
  MYSQL_DATABASE: wordpress_tests
  MYSQL_ROOT_PASSWORD: mysql

cache:
  paths:
    - $HOME/.composer
    - /root/.composer

before_script:
  # Set up WordPress tests
  - bash bin/install-wp-tests.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD mysql latest true

  # PHPUnit
  - |
    if [[ $(php -v) =~ "PHP 7." ]]; then
      composer global require "phpunit/phpunit=6.1.*"
    else
      composer global require "phpunit/phpunit=4.8.*"
    fi

  # Install PHPCS and WPCS
  - composer global require automattic/vipwpcs
  - phpcs --config-set installed_paths $HOME/.composer/vendor/wp-coding-standards/wpcs,$HOME/.composer/vendor/automattic/vipwpcs

PHPunit:PHP7.0:MySQL:
  image: containers.ethitter.com:443/docker/images/php:7.0
  services:
    - mysql:5.6
  script:
    - phpcs -n
    - phpunit

PHPunit:PHP7.1:MySQL:
  image: containers.ethitter.com:443/docker/images/php:7.1
  services:
    - mysql:5.6
  script:
    - phpcs -n
    - phpunit

PHPunit:PHP7.2:MySQL:
  image: containers.ethitter.com:443/docker/images/php:7.2
  services:
    - mysql:5.6
  script:
    - phpcs -n
    - phpunit
